Bug 754272 - [abrt] java-1.7.0-openjdk-1.7.0.1-2.0.2.fc16: __GI_raise: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.1-2.0.2.fc16: __GI_raise: Process /usr/lib/jv...
Status: CLOSED DUPLICATE of bug 660136
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:42a261888746edbfb680a0f4223...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 17:23 EST by Clifford Ilkay
Modified: 2012-03-20 12:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 12:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (80.03 KB, text/plain)
2011-11-15 17:23 EST, Clifford Ilkay
no flags Details
File: event_log (22.23 KB, text/plain)
2011-11-15 17:23 EST, Clifford Ilkay
no flags Details
File: dso_list (28.83 KB, text/plain)
2011-11-15 17:23 EST, Clifford Ilkay
no flags Details
File: backtrace (104.29 KB, text/plain)
2011-11-15 17:23 EST, Clifford Ilkay
no flags Details

  None (edit)
Description Clifford Ilkay 2011-11-15 17:23:34 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.100.v20110505/eclipse_1407.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar --launcher.overrideVmargs -exitdata 8e30037 -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
comment:        I tried to import a Python virtualenv created using virtualenvwrapper. The Django project being managed by Mercurial was a  sub-directory of the virtualenv. Eclipse deleted the virtualenv and then put up a dialog informing me that it could not find the Mercurial project. I then attempted to import just the Django project being managed by Mercurial only to find that the whole virtualenv had been deleted. Thinking this was a bug in PyDev, I went to a shell in which I knew the current working directory had been the Django project in question. "ls -al" confirmed that PyDev had deleted the entire virtualenv. In the meantime, PyDev crashed in the background.
crash_function: __GI_raise
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1.x86_64/jre/bin/java
kernel:         3.1.1-1.fc16.x86_64
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
time:           Tue Nov 15 13:15:42 2011
uid:            1000
username:       cilkay

backtrace:      Text file, 106792 bytes
dso_list:       Text file, 29520 bytes
event_log:      Text file, 22761 bytes
maps:           Text file, 81952 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:-
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:1786519780fc113b42c42a930194c6354379de4f
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:a70947162966aa69c7ac92b53dcd9e6748cffe35
:515b9eee9b39bb3e0a3ba3196483952f576f3cf2
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:33b3d17f30890f5069d362a99854dc91900eea95
:aaf62304b0fc10611d35b4f56005479d4c58868d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:f7f1a59a94271dd09a29331bbd69414971f0732c
:cfb679bcfcef334e6b76621c6a791708184df505
:4953d1f613914126bccceb3cb96386647ffba9df
:270ade06b77f5c33e09aa2352b9fb45e1553ac47
:017a0c9c46d30256c1d6af189b4809146ef312f6
:5b172a6e8ef082b281396efa47507bb47598ea84
:3eb65fabdfd6f55f2367ff1ef60a287a87caa933
:91689252818532ec13597b6528d38be93b2706c4
:037b990d1ee7952a2b96368b49d602a480bf62a7
:890ab6679360d786ad73cf5ab210babcc1d9936d
:3e2404bd469800afd61eda83d0292a2165ef0db0
:954b760933764c15018f3937ab72f5bbe2018a35
:921b64859b34786348daf376801c05efbf9bac81
:e2e9aa46522b1e2189777d91a5666c34fc7d46df
:5f68fecc89bbb7cf2200b4caed6fb26006a189b7
:88d586ed67ebe5227b761b4ab2e02433f29c840f
:80d1527bdbaa66a7f4467a3432a25332fb76758a
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:f17df5fb23bfc295a86d91e3aa586873ca2ec90f
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:0d74576182a86b7b132171701e28ae4c53d6a719
:69ce4dbf10ecbad086403023bc7af9409dc6cc09
:b578859052e3e2c4c84a4e54ec25b11ecffbfc0d
:a47e3764e7de48ace1ecfcfd8c2e0c49bd8cf1a3
:f0d50e3af2dfee021a327fb85a993a2312a98145
:9af722e8d4717709aa49739efc0ed10d0f952e3e
:b502249bcf2a4f465feeb8b9578c80cda6f4103d
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:b15e7cf8c3d7acfa4e7d1545087cadcdef13aad2
:6c881a7265a8e44f100b56691f62eb6845174afd
:04138801e982f1efd730c0a00e6590b12edfe8aa
:d382cf9422aa044ad1bc2febeed52db164476b76
:f2510b877734b2b3c168134853d2045f12fe2714
:be507c791e34415e8f42f0e6030c889b2895cf9a
:3d22dd762f2430ac679e61c98e8d856e5f3423ed
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:7e38d4068ce4d86cb3f22c2676cbe7f8bdccc15d
:3e08f14ed2767ff642c7477a25b63214050e42cb
:a8cbbaf5f1b33fbba702e71661d5a3ea51bdfc75
:b67d01f9230119a215e7151dc3aa43428b886c8f
:1ddf6e597ba6f382f8490a52401f6905b9715abb
:32eeba9032ecead38442bdf6328d89464a151a7e
:a9122785e50e29eb1a5949a6ac761385acb51ca8
:98fa95d21e16075ada6df19748c6c133ee9165d0
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:7110c8ac5ea9a650cbf77c51e8cc1df7c407fafd
:10d551095745830a5b5e3a5b6b15d16ca2bbff34
:2ad2303894b40249d29a4726200ce7df51ded973
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:c6739204320eb15bdcdba039a2b183298170403e
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:7109859fdd4912a7b36eea239079fd72b5575d18
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:08f9bfd6070a0ed8b48df9335b9fb9a08feca22b
:40dc5e32f96a3d6d6728301becc415c9af4a68bb
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:2636afe466ed20d65ac6d8fc08f1b120974f9ceb
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:4c842320387ff7f6f91b7842b223c16518be909f
:07470201df55a5254027d05fa4dc509b10f2986a
:b78fdfcd9d630cda57705c86a83efc3eea56f3a3
:3b50812827b755646178db9447ced77425add5d8
:11307731c4aa95e08b6de3064d064a12d12dee8f
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:5c41b341d2dcae47815ba9e0ae3da54324533e1a
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:1c6a95451ee19617be5abea3d121f0226d21ddda
:77a87b365aef85a16133692fccf327874ef0d139
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:48d3cff26c916dff6cbcb5e67d5cf6d391f6ccca
:ad113676b4a030e7321fe8a99be71213082baf52
:a4d52156d11fe07e15c6ce6ece7be5d046893284
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:6108e3fc37f7e899f1c53f713333823cb519f774
:989b0442b190a0bfc0990f168976fa2547d73991
:4283c6fc5b8187dcd924d2a3520f635ebeee9daf
:b492837dde7c9f97bee3e688aa7a2eb39ed1666a
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:94e29139152ba767534403cf94a672fe6b3fe515
:6016029efcb75ab9c983ded808b9ec73808010b2
:4be8e5073b94d0b4b2f5b5d0d984a60e05d0d8ed
:b77200bf76fd8c69a30220dd6709b244b215e829
:56d0d755b880afdd9ebf2c8c707282384fed90fd
:650b733aecfb9c46bdfc023661f19244a278df04
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:17730a82a5bb819d62b901c3176ec87abc353e68

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1233
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=jupiter.tor.dinamis.com
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=0e97bc37be91bf56e46c5c8800000006-1321309898.962009-939259433
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/cilkay/.gtkrc-2.0:/home/cilkay/.gtkrc-2.0-kde4:/home/cilkay/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=cilkay
:LS_COLORS=di=01;36:ln=01;37:
:SSH_AUTH_SOCK=/tmp/ssh-ZlfNBYvW1211/agent.1211
:DESKTOP_SESSION=kde-plasma
:PATH=/home/cilkay/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin
:MAIL=/var/spool/mail/cilkay
:PWD=/home/cilkay
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:PYTHONSTARTUP=/home/cilkay/.pythonrc
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/cilkay
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:LOGNAME=cilkay
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ADN3CF6Wmt,guid=e367dbe7ebb96c576780a8e900000019
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cilkay
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/cilkay/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-cilkay/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1352,unix/unix:/tmp/.ICE-unix/1352
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/cilkay/.gtkrc:/home/cilkay/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=jupiter.tor.dinamis.com;1321380144;734711;1365_TIME70269985

smolt_data:
:
:
:General
:=================================
:UUID: 5f563dca-0d58-4357-be36-fa4b6085a871
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5349.12
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU         750  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 30
:Number of CPUs: 4
:CPU Speed: 2668
:System Memory: 7985
:System Swap: 8095
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.1.1-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11434:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 1 Rank Registers
:(32902:11435:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 1 Thermal Control Registers
:(32902:11432:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 1 Control Registers
:(32902:11433:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 1 Address Registers
:(32902:53585:0:0) pci, None, BASE, Core Processor QPI Routing and Protocol Registers
:(32902:53584:0:0) pci, None, BASE, Core Processor QPI Link
:(32902:11425:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 0 Address Registers
:(32902:11424:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 0 Control Registers
:(32902:53553:4163:33667) pci, None, HOST/PCI, Core Processor DMI
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(32902:15152:4163:33667) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15136:4163:33667) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 4 port SATA IDE Controller
:(32902:15106:4163:33667) pci, None, PCI/ISA, 5 Series Chipset LPC Interface Controller
:(32902:15142:4163:33667) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 2 port SATA IDE Controller
:(32902:9294:4163:33667) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:15164:4163:33667) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4163:33667) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4724:4977:4724:4977) pci, snd_ens1371, MULTIMEDIA_AUDIO, Creative Sound Blaster AudioPCI64V, AudioPCI128
:(32902:15180:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(6523:9059:4163:33359) pci, pata_jmicron, STORAGE, JMB362/JMB363 Serial ATA Controller
:(6523:9059:4163:33359) pci, ahci, STORAGE, JMB362/JMB363 Serial ATA Controller
:(32902:11426:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 0 Rank Registers
:(32902:11427:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Channel 0 Thermal Control Registers
:(32902:15170:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15182:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 7
:(32902:53560:4163:33667) pci, pcieport, PCI/PCI, Core Processor PCI Express Root Port 1
:(32902:15178:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15184:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 8
:(4318:1570:4163:33532) pci, nvidia, VIDEO, G94 [GeForce 9600 GT]
:(32902:15190:4163:33653) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:53591:67:131) pci, None, BASE, Core Processor System Control and Status Registers
:(32902:53592:0:0) pci, None, BASE, Core Processor Miscellaneous Registers
:(32902:53589:67:131) pci, None, BASE, Core Processor System Management Registers
:(32902:53590:67:131) pci, None, BASE, Core Processor Semaphore and Scratchpad Registers
:(4332:33128:4163:33699) pci, r8169, ETHERNET, M4A785TD Motherboard
:(32902:11393:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11345:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-Core Registers
:(32902:11420:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Test Registers
:(32902:11416:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller
:(32902:11417:32902:32902) pci, None, HOST/PCI, Core Processor Integrated Memory Controller Target Address Decoder
:(32902:11409:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11408:32902:32902) pci, i7core_edac, HOST/PCI, Core Processor QPI Link 0
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 7513869 5824402 5748087 1908736 1694450 1694450
:/dev/sda1 /boot ext4 1024 1024 247919 192361 179561 64000 63729 63729
:/dev/mapper/vg_jupiter-home /home ext4 4096 4096 169800152 19228414 10603058 43130880 38139367 38139367
:/dev/mapper/vg_jupiter-var /var ext4 4096 4096 70555064 34001641 30417641 17924096 17732065 17732065
:

var_log_messages:
:Nov 14 17:16:35 jupiter yum[27482]: Updated: tzdata-java-2011n-2.fc16.noarch
:Nov 15 05:37:41 jupiter yum[18068]: Installed: 1:java-1.6.0-openjdk-devel-1.6.0.0-60.1.10.4.fc16.x86_64
:Nov 15 05:37:44 jupiter yum[18068]: Installed: ant-javamail-1.8.2-6.fc16.noarch
:Nov 15 05:38:06 jupiter yum[18068]: Installed: libreadline-java-0.8.0-28.fc15.x86_64
:Nov 15 05:38:07 jupiter yum[18068]: Installed: subversion-javahl-1.6.17-5.fc16.x86_64
:Nov 15 05:38:14 jupiter yum[18068]: Installed: antlr3-java-3.2-14.fc15.noarch
:Nov 15 05:38:15 jupiter yum[18068]: Installed: lpg-java-compat-1.1.0-6.fc15.1.noarch
:Nov 15 05:38:27 jupiter yum[18068]: Installed: 1:mysql-connector-java-5.1.17-1.fc16.1.x86_64
:Nov 15 05:39:06 jupiter yum[18068]: Installed: java-1.5.0-gcj-javadoc-1.5.0.0-37.fc16.x86_64
:Nov 15 05:39:17 jupiter yum[18068]: Installed: eclipse-mylyn-context-java-3.6.0-2.fc16.noarch
:Nov 15 13:15:49 jupiter abrt[22604]: saved core dump of pid 22258 (/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2011-11-15-13:15:42-22258 (1865510912 bytes)

xsession_errors:
:Nov 15, 2011 1:02:57 PM java.util.prefs.FileSystemPreferences$1 run
:java.lang.NullPointerException
:	at org.eclipse.core.internal.expressions.Expressions.getArguments(Expressions.java:232)
:	at org.eclipse.core.internal.expressions.TestExpression.<init>(TestExpression.java:68)
:	at org.eclipse.core.internal.expressions.StandardElementHandler.create(StandardElementHandler.java:79)
:	at org.eclipse.core.expressions.ExpressionConverter.perform(ExpressionConverter.java:115)
:	at org.eclipse.core.expressions.ExpressionConverter.processChildren(ExpressionConverter.java:170)
:	at org.eclipse.core.expressions.ElementHandler.processChildren(ElementHandler.java:126)
:	at org.eclipse.core.internal.expressions.StandardElementHandler.create(StandardElementHandler.java:118)
:	at org.eclipse.core.expressions.ExpressionConverter.perform(ExpressionConverter.java:115)
:	at org.eclipse.help.internal.UAElement.getFilterElements(UAElement.java:104)
:	at org.eclipse.help.internal.UAElement.isEnabled(UAElement.java:255)
:	at org.eclipse.help.internal.base.scope.FilterScope.inScope(FilterScope.java:30)
:	at org.eclipse.help.internal.base.scope.ScopeUtils.showInTree(ScopeUtils.java:42)
:	at org.eclipse.help.internal.webapp.data.TopicFinder.isEnabled(TopicFinder.java:330)
:	at org.eclipse.help.internal.webapp.data.TopicFinder.findTocContainingTopic(TopicFinder.java:251)
:	at org.eclipse.help.internal.webapp.data.TopicFinder.<init>(TopicFinder.java:42)
:	at org.eclipse.help.internal.webapp.data.TocData.loadTocs(TocData.java:222)
:	at org.eclipse.help.internal.webapp.data.TocData.<init>(TocData.java:114)
:	at org.eclipse.help.internal.webapp.data.LayoutData.getContentURL(LayoutData.java:120)
:	at org.apache.jsp.advanced.content_jsp._jspService(content_jsp.java:133)
:	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:98)
:	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
:	at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
:	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:308)
:	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:259)
:	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
:	at org.eclipse.equinox.jsp.jasper.JspServlet.service(JspServlet.java:153)
:	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
:	at org.eclipse.equinox.http.registry.internal.ServletManager$ServletWrapper.service(ServletManager.java:180)
:	at org.eclipse.equinox.http.servlet.internal.ServletRegistration.service(ServletRegistration.java:61)
:	at org.eclipse.equinox.http.servlet.internal.ProxyServlet.processAlias(ProxyServlet.java:126)
:	at org.eclipse.equinox.http.servlet.internal.ProxyServlet.service(ProxyServlet.java:68)
:	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
:	at org.eclipse.equinox.http.jetty.internal.HttpServerManager$InternalHttpServiceServlet.service(HttpServerManager.java:317)
:	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:511)
:	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:401)
:	at org.mortbay.jetty.servlet.SessionHandler.handle(SessionHandler.java:182)
:	at org.mortbay.jetty.handler.ContextHandler.handle(ContextHandler.java:766)
:	at org.mortbay.jetty.handler.HandlerWrapper.handle(HandlerWrapper.java:152)
:	at org.mortbay.jetty.Server.handle(Server.java:326)
:	at org.mortbay.jetty.HttpConnection.handleRequest(HttpConnection.java:542)
:	at org.mortbay.jetty.HttpConnection$RequestHandler.headerComplete(HttpConnection.java:928)
:	at org.mortbay.jetty.HttpParser.parseNext(HttpParser.java:549)
:	at org.mortbay.jetty.HttpParser.parseAvailable(HttpParser.java:212)
:	at org.mortbay.jetty.HttpConnection.handle(HttpConnection.java:404)
:	at org.mortbay.io.nio.SelectChannelEndPoint.run(SelectChannelEndPoint.java:410)
:	at org.mortbay.thread.QueuedThreadPool$PoolThread.run(QueuedThreadPool.java:582)
Comment 1 Clifford Ilkay 2011-11-15 17:23:39 EST
Created attachment 533854 [details]
File: maps
Comment 2 Clifford Ilkay 2011-11-15 17:23:41 EST
Created attachment 533855 [details]
File: event_log
Comment 3 Clifford Ilkay 2011-11-15 17:23:43 EST
Created attachment 533856 [details]
File: dso_list
Comment 4 Clifford Ilkay 2011-11-15 17:23:45 EST
Created attachment 533857 [details]
File: backtrace
Comment 5 Omair Majid 2011-11-15 17:56:30 EST
Crash originated from swt code:
#10 <signal handler called>
No symbol table info available.
#11 0x0000003f86a186d0 in g_object_get_qdata (object=0x7f307de57120, quark=616) at gobject.c:2816
        __inst = 0x7f307de57120
        __r = <optimized out>
        _g_boolean_var_ = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_get_qdata"
#12 0x00007f302384499c in Java_org_eclipse_swt_internal_gtk_OS__1g_1object_1get_1qdata () from /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/117/1/.cp/libswt-pi-gtk-3735.so

Reassigning to eclipse.
Comment 6 Alexander Kurtakov 2011-11-16 02:16:18 EST
Clifford,
Is this 100% reproducible. I'll need a small testcase allowing me to reproduce this in order to debug the whole issue.
Comment 7 abrt-bot 2012-03-20 12:06:19 EDT
Backtrace analysis found this bug to be similar to bug #660136, closing as duplicate.

Bugs which were found to be similar to this bug: 
  eclipse: bug #560104, bug #704288
  java-1.6.0-openjdk: bug #562888, bug #569628, bug #611894, bug #622517, bug #637359, bug #655113, bug #660136

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 660136 ***

Note You need to log in before you can comment on or make changes to this bug.